#
# Conditional build:
%bcond_without	apidocs		# API documentation

Summary:	Map widget for GTK 4
Summary(pl.UTF-8):	Widżet mapy dla GTK 4
Name:		libshumate
Version:	1.2.3
Release:	1
License:	LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.gnome.org/sources/libshumate/1.2/%{name}-%{version}.tar.xz
# Source0-md5:	4b8919088922eac80b103b464d7c5b8b
URL:		https://wiki.gnome.org/Projects/libshumate
BuildRequires:	cairo-devel >= 1.4
%{?with_apidocs:BuildRequires:	gi-docgen >= 2021.1}
BuildRequires:	glib2-devel >= 1:2.74.0
BuildRequires:	gobject-introspection-devel >= 0.6.3
BuildRequires:	gtk4-devel >= 4
BuildRequires:	json-glib-devel >= 1.6
BuildRequires:	meson >= 0.55.0
BuildRequires:	ninja >= 1.5
BuildRequires:	libsoup3-devel >= 3.0
BuildRequires:	protobuf-c-devel
BuildRequires:	rpmbuild(macros) >= 2.029
BuildRequires:	sqlite3-devel >= 3.0
BuildRequires:	sysprof-devel >= 3.38
BuildRequires:	tar >= 1:1.22
BuildRequires:	vala >= 0.11.0
BuildRequires:	xz
Requires:	cairo >= 1.4
Requires:	glib2 >= 1:2.74.0
Requires:	json-glib >= 1.6
Requires:	libsoup3 >= 3.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libshumate is a GTK 4 widget to display maps.

%description -l pl.UTF-8
Libshumate to widżet GTK 4 do wyświetlania map.

%package devel
Summary:	Header files for the libshumate library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libshumate
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	cairo-devel >= 1.4
Requires:	glib2-devel >= 1:2.74.0
Requires:	gtk4-devel >= 4
Requires:	json-glib-devel >= 1.6
Requires:	libsoup3-devel >= 3.0
Requires:	protobuf-c-devel
Requires:	sqlite3-devel >= 3.0
Requires:	sysprof-devel >= 3.38

%description devel
Header files for the libshumate library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libshumate.

%package static
Summary:	Static libshumate libraries
Summary(pl.UTF-8):	Statyczne biblioteki libshumate
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description static
Static libshumate libraries.

%description static -l pl.UTF-8
Statyczne biblioteki libshumate.

%package apidocs
Summary:	libshumate API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki libshumate
Group:		Documentation
BuildArch:	noarch

%description apidocs
libshumate API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki libshumate.

%package -n vala-libshumate
Summary:	libshumate API for Vala language
Summary(pl.UTF-8):	API libshumate dla języka Vala
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	vala >= 0.15.1
BuildArch:	noarch

%description -n vala-libshumate
libshumate API for Vala language.

%description -n vala-libshumate -l pl.UTF-8
API libshumate dla języka Vala.

%prep
%setup -q

%build
%meson build \
	%{!?with_apidocs:-Dgtk_doc=false}

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%if %{with apidocs}
install -d $RPM_BUILD_ROOT%{_gidocdir}
%{__mv} $RPM_BUILD_ROOT%{_docdir}/libshumate-1.0 $RPM_BUILD_ROOT%{_gidocdir}
%endif

# not supported by glibc (as of 2.38)
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/ie

%find_lang shumate1

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f shumate1.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README.md
%attr(755,root,root) %{_libdir}/libshumate-1.0.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libshumate-1.0.so.1
%{_libdir}/girepository-1.0/Shumate-1.0.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libshumate-1.0.so
%{_includedir}/shumate-1.0
%{_pkgconfigdir}/shumate-1.0.pc
%{_datadir}/gir-1.0/Shumate-1.0.gir

%files static
%defattr(644,root,root,755)
%{_libdir}/libshumate-1.0.a

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gidocdir}/libshumate-1.0
%endif

%files -n vala-libshumate
%defattr(644,root,root,755)
%{_datadir}/vala/vapi/shumate-1.0.deps
%{_datadir}/vala/vapi/shumate-1.0.vapi
%changelog
* Tue Aug 13 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libshumate.git;a=log;h=master

* Tue Aug 13 2024 Jakub Bogusz <qboosh@pld-linux.org> 7c3ebb4
- updated to 1.2.3

* Mon May 27 2024 Jakub Bogusz <qboosh@pld-linux.org> 8e28a17
- updated to 1.2.2

* Sun Apr 21 2024 Jakub Bogusz <qboosh@pld-linux.org> ccfaf94
- updated to 1.2.1

* Sat Mar 23 2024 Jakub Bogusz <qboosh@pld-linux.org> a3b1d38
- updated to 1.2.0

* Sun Feb 11 2024 Jakub Bogusz <qboosh@pld-linux.org> 5f09283
- updated to 1.1.3

* Sun Nov 12 2023 Jakub Bogusz <qboosh@pld-linux.org> 1b59bce
- updated to 1.1.2

* Thu Oct 26 2023 Jakub Bogusz <qboosh@pld-linux.org> 4b6c15d
- updated to 1.1.1

* Wed Sep 27 2023 Jakub Bogusz <qboosh@pld-linux.org> 24b97ed
- use _gidocdir for apidocs

* Sat Sep 23 2023 Jakub Bogusz <qboosh@pld-linux.org> 1306968
- drop ie locale; release 2

* Sat Sep 16 2023 Jakub Bogusz <qboosh@pld-linux.org> 505f342
- updated to 1.1.0

* Wed Jul 26 2023 Jakub Bogusz <qboosh@pld-linux.org> 931f4e9
- switched default to libsoup3 to match libgweather4 in gnome-maps; release 2

* Wed Jul 19 2023 Jakub Bogusz <qboosh@pld-linux.org> 0d6d2cf
- updated to 1.0.5

* Sun Jul 09 2023 Jakub Bogusz <qboosh@pld-linux.org> 66e11d0
- updated to 1.0.4

* Fri Dec 02 2022 Jakub Bogusz <qboosh@pld-linux.org> f25edfe
- updated to 1.0.3

* Sun Nov 20 2022 Jakub Bogusz <qboosh@pld-linux.org> 2572569
- new

